CREATE OR REPLACE FUNCTION food600.skupinyrozpatia_koniec()
    RETURNS trigger
    LANGUAGE 'plpgsql'
    COST 100
    VOLATILE NOT LEAKPROOF
AS $BODY$
DECLARE rozp_celk NUMERIC(10,2);
		riadok INTEGER;
BEGIN
SELECT SUM(rozp01+rozp02+rozp03+rozp04+rozp05+rozp06+rozp07+rozp08+rozp09+rozp10+
		   rozp11+rozp12+rozp13+rozp14+rozp15+rozp16+rozp17+rozp18+rozp19+rozp20+
		   rozp21+rozp22+rozp23+rozp24+rozp25+rozp26+rozp27+rozp28+rozp29+rozp30+
		   rozp31+rozp32+rozp33+rozp34+rozp35+rozp36+rozp37+rozp38+rozp39+rozp40+
		   rozpa0+rozpa1+rozpa2+rozpa3+rozpa4+rozpa5+rozpa6+rozpa7+rozpa8+rozpa9+
		   rozpb0+rozpb1+rozpb2+rozpb3+rozpb4+rozpb5+rozpb6+rozpb7+rozpb8+rozpb9+
		   rozpc0+rozpc1+rozpc2+rozpc3+rozpc4+rozpc5+rozpc6+rozpc7+rozpc8+rozpc9+
		   rozpd0+rozpd1+rozpd2+rozpd3+rozpd4+rozpd5+rozpd6+rozpd7+rozpd8+rozpd9+
		   rozpe0+rozpe1+rozpe2+rozpe3+rozpe4+rozpe5+rozpe6+rozpe7+rozpe8+rozpe9+
		   rozpf0+rozpf1+rozpf2+rozpf3+rozpf4+rozpf5+rozpf6+rozpf7+rozpf8+rozpf9+
		   rozpg0+rozpg1+rozpg2+rozpg3+rozpg4+rozpg5+rozpg6+rozpg7+rozpg8+rozpg9+
		   rozph0+rozph1+rozph2+rozph3+rozph4+rozph5+rozph6+rozph7+rozph8+rozph9+
		   rozpi0+rozpi1+rozpi2+rozpi3+rozpi4+rozpi5+rozpi6+rozpi7+rozpi8+rozpi9+
		   rozpj0+rozpj1+rozpj2+rozpj3+rozpj4+rozpj5+rozpj6+rozpj7+rozpj8+rozpj9+
		   rozpk0+rozpk1+rozpk2+rozpk3+rozpk4+rozpk5+rozpk6+rozpk7+rozpk8+rozpk9+
		   rozpl0+rozpl1+rozpl2+rozpl3+rozpl4+rozpl5+rozpl6+rozpl7+rozpl8+rozpl9) INTO rozp_celk FROM food600.skupinyrozpatia;
SELECT idriadok INTO riadok FROM food600.s_zmeny WHERE tab='skupinyrozpatia';
IF riadok IS NOT NULL THEN
	UPDATE food600.s_zmeny SET hodnota=rozp_celk WHERE idriadok=riadok;
ELSE
	INSERT INTO food600.s_zmeny (tab, hodnota) VALUES ('skupinyrozpatia',rozp_celk);
END IF;
RETURN NEW;
END
$BODY$;
